Subject: Re: IPv6 over Firewire

From: YOSHIFUJI Hideaki <[email-masked]>
Date: Sun, 23 Dec 2012 21:09:44 +0900

Stephan Gatzka wrote:
>> net/ipv6/ndisc.c SHOULD build full NDP messages for IPv6
>> over IEEE1394 as we do it for Infiniband.
>>
>> Please, please do not try to mangle them in the driver.
>>
> As far as I understand the code for Infiniband (and the corresponding RFC4391) I just see the introduction of two pad bytes. Moreover, I see that ndisc_build_skb calls ndisc_fill_addr_option which copies dev->dev_addr. Maybe the so called Queue Pair Number (QPN) is already included in dev->dev_addr. If not, I guess the Infiniband driver will also mangle the QPN into the link layer option. If not, this seems only possible because the format for IPv6 link layer option (IB) and IPv4/ARP (IB) has the same format.

Please, please try best not to mangle packets
and keep/make IPsec, SEND right.

Well, Infiniband's hardware length (INFINIBAND_ALEN) is 20,
which means that it includes reserved and QPN field.
Moreover Infiniband driver uses neighbor notification
mechanism.

I think Firewire can use that as well.
What do you think?

--yoshfuji